<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta name="Description" content="GMtoolbox : a Matlab toolbox for inference in Graphical Models" />
  <meta name="Keywords" content="Graphical Model, Inference, toolbox, Matlab" />
  <link rel="stylesheet" type="text/css" href="style.css" />
  <title>GMtoolbox : a Matlab toolbox for inference in Graphical Models</title>
  <!--[if IE]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
</head>


<body>

<header>
<table class="header">
  <tr>
    <td><h2><span>GM</span>toolbox</h2> </td>
    <td>
      <nav class="navigation"><ul>
        <li><a href="index.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HOME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="download.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DOWNLOAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="documentation.html">&nbsp;&nbsp;DOCUMENTATION&nbsp;&nbsp;</a></li>
      </ul></nav>
  </tr>
</table>

<h1>GMtoolbox : a Matlab toolbox for inference in Graphical Models</h1>
</header>


<aside>
<h4>NEWS: version 1.0.1 (August, 2019), version 1.0 (April, 2019), beta version 0.9 (April 2018)</h4>
</aside>

  
<section>
<h3>Quick Start</h3> 
<p>To quickly learn how to use the toolbox, see
 the <a href="QuickStart.pdf">QuickStart manual</a>
 based on a Dynamic Bayesian Network (DBN) and a Coupled Hidden Markov Model (CHMM) problems.<br/>
</p>
<p class="image">
  <video width="400" height="222" controls="controls">
    <source src="QuickStart.mp4"type="video/mp4" />
    <source src="QuickStart.webm" type="video/webm" />
    <source src="QuickStart.ogv" type="video/ogg" />
    GMtoolbox QuikStart video
  </video>
</p>
</section>

<section>
<h3><b>GM</b>toolbox functions</h3> 
<p>For a detailed description, see the <a href="ReferenceManual.pdf">reference manual</a>.</p>

<table class=functions><col style="width:30%"><col style="width:70%"><tbody>
<tr><td><b>GM generation</b></td><td><img src="IMAGES/icon_generate.png" alt="" height="30"></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gm_create_fg</td><td>Define a factor graph</td></tr>
<tr><td>gm_example_Sprinkler</td><td>Generate a Bayesian Network toy example</td></tr>
<tr><td>gmdp_example_Ecology</td><td>Generate a toy example related to ecology</td></tr>
<tr><td>gmdp_example_DBN</td><td>Generate a Dynamic Bayesian Network</td></tr>
<tr><td>gmdp_example_CHMM</td><td>Generate a Coupled Hidden Markov Model</td></tr>
<tr><td>gm_create_fg</td><td>Generate a factor graph</td></tr>
<tr><td>gm_separate_fg</td><td>Separate connected sub factor graphs</td></tr>

<tr><td colspan=2>&nbsp;</td></tr>
<tr><td><b>GM inference</b></td><td><img src="IMAGES/icon_infer.png" alt="" height="30"></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gm_infer_GBP</td><td>Generalized Belief Propagation (parent-to-child)</td></tr>
<tr><td>gm_rg_CVM</td><td>Generate a region graph with Cluster Variation Method (CVM)</td></tr>
<tr><td>gm_rg_BETHE</td><td>Generate a region graph with BETHE approximation</td></tr>
<tr><td>gm_rg_JT</td><td>Generate a region graph such that GBP corresponds to Junction Tree (JT)</td></tr>
<tr><td>gm_include_evidence</td><td>Take into account observations</td></tr>
<tr><td>gm_plot_belief_evolution</td><td>Plot the evolution of belief for a range of GBP iteration</td></tr>

<tr><td colspan=2>&nbsp;</td></tr>
<tr><td><b>Utilities</b></td><td><img src="IMAGES/icon_util.png" alt="" height="25"></td></tr>
<tr><td colspan=2><hr></td></tr>
<tr><td>gm_check_fg</td><td> Check the validity of a factor grah</td></tr>
<tr><td>gm_check_rg</td><td> Check the validity of a region graph</td></tr>
<tr><td>gm_check_rg_JT</td><td>Check if a region graph is of the type given by gm_rg_JT function</td></tr>
<tr><td>gm_plot_fg</td><td> Plot a factor grah</td></tr>
<tr><td>gm_plot_rg</td><td> Plot a region grah</td></tr>
<tr><td>gm_read_fg</td><td> Read a factor graph in UAI format</td></tr>
<tr><td>gm_read_evidence</td><td> Read evidences in UAI format</td></tr>
<tr><td>gm_read_MAR</td><td> Read marginals in UAI format</td></tr>
<tr><td>gm_read_BEL</td><td> Read beliefs of regions in UAI format</td></tr>
<tr><td>gm_write_fg</td><td> Write a factor graph in UAI format</td></tr>
<tr><td>gm_write_evidence</td><td> Write evidences in UAI format</td></tr>
<tr><td>gm_write_MAR</td><td> Write marginals in UAI format</td></tr>
<tr><td>gm_write_BEL</td><td> Write beliefs of regions in UAI format</td></tr>
</tbody></table>  

</section>

<footer>
  <p  id="footer"><br/><br/>Last modification : August, 2019</p>
</footer>

</body>
</html>
